Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Person

    java.lang.Object
      Person

    public class Person

extends java.lang.Object

Person stores the information for a person (Student, Teacher, ...)

Version:
  1.1
Author:
  Fred Kral

Field Summary
`static int` | `MAXNUMCOURSEARRAY` Maximum size of the course array, used by BillBoard to make the week grid

Constructor Summary
`Person()`
`Person(java.lang.String firstName)`
`Person(java.lang.String firstName, java.lang.String lastName)`

Method Summary
`void` | `addCourse(Course course)`
`Course` | `getCourse(int courseNumber)` Return course based on its number 1, 2, 3, ...
`Course` | `getCourse(java.lang.String courseName)` If course name is good, return the Course, else return null
`int` | `getCourseArrayLength()`
`int` | `getCourseNumber(java.lang.String courseName)` If course name is good, return its number, else return 0
`java.util.List<Course>` | `getCourses()`
`java.lang.String` | `getFirstName()`
`java.lang.String` | `getLastName()`
`int` | `getNumActiveCoursesInArray()`
`int` | `getNumCourses()`
`void` | `setFirstName(java.lang.String name)`
`void` | `setLastName(java.lang.String name)`
`void` | `sysPrint()`
`void` | `sysPrintCourses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXNUMCOURSEARRAY

    public static final int MAXNUMCOURSEARRAY

  Maximum size of the course array, used by BillBoard to make the week grid

  See Also:
    Constant Field Values

Constructor Detail

### Person

    public Person()

### Person

    public Person(java.lang.String firstName)

### Person

    public Person(java.lang.String firstName,
                  java.lang.String lastName)

Method Detail

### addCourse

    public void addCourse(Course course)

### setFirstName

    public void setFirstName(java.lang.String name)

### getFirstName

    public java.lang.String getFirstName()

### setLastName

    public void setLastName(java.lang.String name)

### getLastName

    public java.lang.String getLastName()

### getCourses

    public java.util.List<Course> getCourses()

### getCourseNumber

    public int getCourseNumber(java.lang.String courseName)

  If course name is good, return its number, else return 0

### getCourse

    public Course getCourse(java.lang.String courseName)

  If course name is good, return the Course, else return null

### getNumCourses

    public int getNumCourses()

### getCourseArrayLength

    public int getCourseArrayLength()

### getNumActiveCoursesInArray

    public int getNumActiveCoursesInArray()

### getCourse

    public Course getCourse(int courseNumber)

  Return course based on its number 1, 2, 3, ... NumCourses

### sysPrint

    public void sysPrint()

### sysPrintCourses

    public void sysPrintCourses()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD